wxWidgets: wxFindReplaceData Class Reference

| Version: 3.2.7

Public Member Functions | List of all members
wxFindReplaceData Class Reference
Class List by Category » Common Dialogs | Class List by Category » Data Structures

`#include <wx/fdrepdlg.h>`

Inheritance diagram for wxFindReplaceData:
[legend]

## Detailed Description

wxFindReplaceData holds the data for wxFindReplaceDialog.

It is used to initialize the dialog with the default values and will keep the last values from the dialog when it is closed. It is also updated each time a wxFindDialogEvent is generated so instead of using the wxFindDialogEvent methods you can also directly query this object.

Note that all `SetXXX()` methods may only be called before showing the dialog and calling them has no effect later.

##

Library: wxCore
Category: Common Dialogs, Data Structures

## Public Member Functions
| wxFindReplaceData (wxUint32 flags=0)
| Constructor initializes the flags to default value (0). More...
const wxString & | GetFindString () const
| Get the string to find. More...
int | GetFlags () const
| Get the combination of `wxFindReplaceFlags` values. More...
const wxString & | GetReplaceString () const
| Get the replacement string. More...
void | SetFindString (const wxString &str)
| Set the string to find (used as initial value by the dialog). More...
void | SetFlags (wxUint32 flags)
| Set the flags to use to initialize the controls of the dialog. More...
void | SetReplaceString (const wxString &str)
| Set the replacement string (used as initial value by the dialog). More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxFindReplaceData()

wxFindReplaceData::wxFindReplaceData | ( | wxUint32 | flags = `0` | ) |

Constructor initializes the flags to default value (0).

## Member Function Documentation

## ◆ GetFindString()

const wxString& wxFindReplaceData::GetFindString | ( |  | ) | const

Get the string to find.

## ◆ GetFlags()

int wxFindReplaceData::GetFlags | ( |  | ) | const

Get the combination of `wxFindReplaceFlags` values.

## ◆ GetReplaceString()

const wxString& wxFindReplaceData::GetReplaceString | ( |  | ) | const

Get the replacement string.

## ◆ SetFindString()

void wxFindReplaceData::SetFindString | ( | const wxString & | str | ) |

Set the string to find (used as initial value by the dialog).

## ◆ SetFlags()

void wxFindReplaceData::SetFlags | ( | wxUint32 | flags | ) |

Set the flags to use to initialize the controls of the dialog.

## ◆ SetReplaceString()

void wxFindReplaceData::SetReplaceString | ( | const wxString & | str | ) |

Set the replacement string (used as initial value by the dialog).